@charset "utf-8";

.review-section {
  background: var(--sys-bg-primary-tint, #d4f8f8);
  display: flex;
  width: 100%;
  box-sizing: border-box;
  padding: 120px 38px;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  gap: 60px;
}

.review-section .title-container {
  display: flex;
  align-items: flex-end;
  gap: 11px;
}

.review-section .title-container img {
  width: 75px;
  height: 120px;
}

.review-section .title-container .title-text-container {
  display: flex;
  max-width: 509px;
  flex-direction: column;
  align-items: center;
  gap: 10px;
}

.review-section .title-container .title-text-container .name-text {
  word-break: keep-all;
  color: var(--ref-primary-300, #00bbba);
  text-align: center;

  /* Headline/Large */
  font-family: Pretendard;
  font-size: var(--ref-font-size-8-fluent, 32px);
  font-style: normal;
  font-weight: 700;
  line-height: 160%; /* 51.2px */
}

.review-section .title-container .title-text-container .title-text {
  word-break: keep-all;
  color: var(--ref-base-black, #151818);
  text-align: center;

  /* Display/Medium */
  font-family: Pretendard;
  font-size: var(--ref-font-size-10-fluent, 45px);
  font-style: normal;
  font-weight: 700;
  line-height: 140%; /* 63px */
}

.review-section .review-list-container {
  display: flex;
  align-items: center;
  gap: 10px;
  align-self: stretch;
}

.review-section .review-list-container .reviews {
  display: flex;
  width: 100%;
  box-sizing: border-box;
  align-items: center;

  flex-direction: row;
}

.review-section .review-list-container .reviews .slick-slide {
  width: 408px;
  height: 501px;
  margin-right: 12px;
}

.review-section .review-list-container .reviews .slick-prev {
  width: 48px;
  height: 48px;
  content: url(../../../images/main/home/circle-prev-btn.svg);
}

.review-section .review-list-container .reviews .slick-next {
  width: 48px;
  height: 48px;
  content: url(../../../images/main/home/circle-next-btn.svg);
}

.review-section .review-item {
  display: flex !important;
  width: 408px;
  height: 501px;
  padding: 36px;
  align-items: flex-start;
  gap: 16px;
  flex-direction: column;
  border-radius: 16px;
  background: var(--global-white-a100, #fff);

  box-sizing: border-box;
  flex-shrink: 0;

  /* shadow/basic/md */
  box-shadow: 0px 0px 16px 0px rgba(55, 61, 68, 0.08);
}

.review-section .review-item .review-title-text {
  word-break: keep-all;
  color: var(--sys-text-light-700, #4e5760);

  /* Headline/Small */
  font-family: Pretendard;
  font-size: var(--ref-font-size-6-fluent, 24px);
  font-style: normal;
  font-weight: 700;
  line-height: 140%; /* 33.6px */
}

.review-section .review-item .review-ratings {
  display: flex;
  width: 108px;
  height: 20px;
  padding-right: 0.392px;
  justify-content: center;
  align-items: flex-start;
  gap: 2.392px;
}

.review-section .review-item .review-ratings img {
  width: 20px;
  height: 20px;
}

.review-section .review-item .review-content-text {
  word-break: break-all;
  word-wrap: break-word;
  overflow-wrap: break-word;
  color: var(--sys-text-light-700, #4e5760);
  font-family: Pretendard;
  font-size: var(--ref-font-size-3-static, 16px);
  font-style: normal;
  font-weight: 400;
  line-height: 160%; /* 25.6px */
  height: 312px;
}

.review-section .review-item .review-label {
  display: flex;
  width: fit-content;
  padding: 3px 8px 4px 8px;
  align-items: flex-start;
  gap: 8px;
  border-radius: 8px;
  background: var(--comp-style-primary-tint-default-10, #d4f8f8);
}

.review-section .review-item .review-label .review-label-text {
  word-break: break-all;

  color: var(--sys-text-primary-default-500, #077);
  font-family: Pretendard;
  font-size: var(--ref-font-size-3-static, 16px);
  font-style: normal;
  font-weight: 500;
  line-height: 160%; /* 25.6px */
}

@media screen and (max-width: 1023px) {
  .review-section {
    background: var(--sys-bg-primary-tint, #d4f8f8);
    display: flex;
    width: 100%;
    box-sizing: border-box;
    padding: 50px 0;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    gap: 30px;
  }

  .review-section .title-container {
    display: flex;
    align-items: flex-end;
    gap: 0;
  }

  .review-section .title-container img {
    width: 44px;
    height: 70px;
  }

  .review-section .title-container .title-text-container {
    display: flex;
    max-width: 233px;
    flex-direction: column;
    align-items: center;
    gap: 10px;
  }

  .review-section .title-container .title-text-container .name-text {
    word-break: keep-all;
    color: var(--ref-primary-300, #00bbba);
    text-align: center;

    /* Title/Medium */
    font-family: Pretendard;
    font-size: var(--ref-font-size-4-static, 18px);
    font-style: normal;
    font-weight: 700;
    line-height: 160%; /* 28.8px */
  }

  .review-section .title-container .title-text-container .title-text {
    word-break: keep-all;
    color: var(--ref-base-black, #151818);
    text-align: center;

    /* Headline/Medium */
    font-family: Pretendard;
    font-size: var(--ref-font-size-7-fluent, 28px);
    font-style: normal;
    font-weight: 700;
    line-height: 140%; /* 39.2px */
  }

  .review-section .review-list-container {
    display: flex;
    align-items: center;
    gap: 10px;
    align-self: stretch;
  }

  .review-section .review-list-container .reviews {
    display: flex;
    padding-left: 24px;
    padding-right: 24px;
    width: 100%;
    box-sizing: border-box;
    align-items: center;

    flex-direction: row;
    margin-right: -16px;
  }

  .review-section .review-list-container .reviews .slick-slide {
    margin-right: 12px;
    width: 312px;
    height: 480px;
  }

  .review-section .review-item {
    display: flex;
    width: 312px;
    height: 480px;
    padding: 20px;
    align-items: flex-start;
    gap: 10px;
    flex-direction: column;
    border-radius: 16px;
    background: var(--global-white-a100, #fff);

    box-sizing: border-box;
    flex-shrink: 0;

    /* shadow/basic/md */
    box-shadow: 0px 0px 16px 0px rgba(55, 61, 68, 0.08);
  }

  .review-section .review-item .review-title-text {
    word-break: break-all;
    color: var(--sys-text-light-700, #4e5760);

    /* Title/Large */
    font-family: Pretendard;
    font-size: var(--ref-font-size-5-static, 20px);
    font-style: normal;
    font-weight: 700;
    line-height: 160%; /* 32px */
  }

  .review-section .review-item .review-ratings {
    display: flex;
    justify-content: start;
    width: auto;
    height: auto;
    padding-right: 0;
    align-items: flex-start;
    gap: 2.392px;
  }

  .review-section .review-item .review-ratings img {
    width: 16px;
    height: 16px;
  }

  .review-section .review-item .review-content-text {
    word-break: break-all;
    word-wrap: break-word;
    overflow-wrap: break-word;
    color: var(--sys-text-light-700, #4e5760);
    font-family: Pretendard;
    font-size: var(--ref-font-size-3-static, 16px);
    font-style: normal;
    font-weight: 400;
    line-height: 160%; /* 25.6px */
    height: 334px;
  }

  .review-section .review-item .review-label {
    display: flex;
    padding: 3px 8px 4px 8px;
    align-items: flex-start;
    width: fit-content;
    gap: 8px;
    border-radius: 8px;
    background: var(--comp-style-primary-tint-default-10, #d4f8f8);
  }

  .review-section .review-item .review-label .review-label-text {
    word-break: keep-all;

    color: var(--sys-text-primary-default-500, #077);
    /* Caption/Small */
    font-family: Pretendard;
    font-size: var(--ref-font-size-1-static, 12px);
    font-style: normal;
    font-weight: 500;
    line-height: 140%; /* 16.8px */
  }
}
